import {FirestoreClient} from "../FirestoreClient"



const firestoreMock = { collection: jest.fn() }
const firestoreCollectionMock = {
    add: jest.fn(),
}
const firestoreDocRefMock = {
    get: jest.fn()
}

const firestoreClient = new FirestoreClient(firestoreMock as any)

afterEach(() => {
    jest.clearAllMocks(); // Restore the default sandbox here
});


describe('Unit Tests', () => {

    it('should create a collection reference', async() => {
        //given
        const collectionName = "test-collection"


        //when
        firestoreClient.getCollection(collectionName)

        //then
        expect(firestoreMock.collection).toBeCalledTimes(1)
        expect(firestoreMock.collection.mock.calls[0][0]).toBe(collectionName)

    });
});
